#####################################################################
# MANDATORY USER SETTINGS                                           #
#                                                                   #
# PLEASE FILL OUT PLACEHOLDERS !                                     #
#####################################################################

# To create credentials for sender and subscriber please have a look at:
#
#  Account registration: https://docs.fitko.de/fit-connect/docs/getting-started/get-started
#  Creating a subscriber: https://docs.fitko.de/fit-connect/docs/receiving/destination
#  Self-Service-Portal (Test-Env): https://portal.auth-testing.fit-connect.fitko.dev/login

# OAuth-credentials for a sender
senderConfig:
  clientId: "SenderClientID"
  clientSecret: "SenderSecret"

# OAuth-credentials for a subscriber
subscriberConfig:
  clientId: "SubscriberClientID"
  clientSecret: "SubscriberSecret"

  # Paths that references the available private decryption keys.
  # This property is an array since there might be multiple destinations
  # with different decryption keys assigned to the subscriber client
  privateDecryptionKeyPaths: ["path/to/decryption_key.json"]

  # Path that references the signing key file that signs SET-Events
  privateSigningKeyPath: "path/to/signing_key.json"

# Name of the used environment (from environments config below).
# In this case the options are prod | testing
activeEnvironment: testing

# Configured environments that can be added in the form:
#
# name: -- identifier that can be referenced in 'activeEnvironment'
#    authBaseUrl: "URL" -- base URL for OAuth requests
#    routingBaseUrl: "URL" -- base URL for routing and area search requests
#    submissionBaseUrl: "URL" -- base URL for submission/destination requests
#    allowInsecurePublicKey: true | false -- allow public keys that failed a validation for e.g. testing purposes
#
# also see: https://docs.fitko.de/fit-connect/docs/apis/submission-api

environments:
  prod:
    authBaseUrl: "https://auth-prod.fit-connect.fitko.net"
    routingBaseUrl: "https://routing-api-prod.fit-connect.fitko.net"
    submissionBaseUrl: "https://submission-api-prod.fit-connect.fitko.net"
    selfServicePortalBaseUrl: "https://portal.auth-prod.fit-connect.fitko.net"
    allowInsecurePublicKey: false
  testing:
    authBaseUrl: "https://auth-testing.fit-connect.fitko.dev"
    routingBaseUrl: "https://routing-api-testing.fit-connect.fitko.dev"
    submissionBaseUrl: "https://submission-api-testing.fit-connect.fitko.dev"
    selfServicePortalBaseUrl: "https://portal.auth-testing.fit-connect.fitko.dev"
    allowInsecurePublicKey: true

#####################################################################
# OPTIONAL SETTINGS                                                 #
#                                                                   #
# Can be used if needed by uncommenting the shown properties        #
#####################################################################

# Proxy config for http api calls - routes all calls to FIT-Connect
# REST-endpoints through the proxy if needed in your current infrastructure

# httpProxyHost: "https//:proxy.your-service.domain"
# httpProxyPort: 8080
# requestTimeoutInSeconds: 30